POST
/
v1
/
teams
/
{teamId}
/
assets
/
agentic-search
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.assetsSearchAgenticAssets({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  body: {},
})
{
  "total": 123,
  "data": [
    {
      "score": 123,
      "rankingReasons": [
        "<string>"
      ],
      "asset": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "originalFilename": "<string>",
        "fileSize": 123,
        "mimeType": "<string>",
        "assetTypeData": {
          "width": 123,
          "height": 123,
          "format": "<string>",
          "colorSpace": "<string>",
          "aspectRatio": "<string>"
        },
        "storagePath": "<string>",
        "thumbnailPath": "<string>",
        "aiTitle": "<string>",
        "aiDescription": "<string>",
        "aiTags": [
          "<string>"
        ],
        "contentHash": "<string>",
        "processingError": "<string>",
        "isDeleted": true,
        "deletedAt": "<string>",
        "hardDeletedAt": "<string>",
        "sharedWithOrg": true,
        "displayName": "<string>",
        "aspectRatio": "<string>",
        "isProcessing": true,
        "createdAt": "<string>",
        "updatedAt": "<string>"
      },
      "assetUrl": "<string>",
      "thumbnailUrl": "<string>"
    }
  ],
  "costResult": {
    "name": "<string>",
    "costInCreditsDecimillicents": 123,
    "costInDollars": 123,
    "marginCostInCreditsDecimillicents": 123,
    "marginCostInDollars": 123
  },
  "embeddingStatus": {
    "embeddingsReady": true,
    "totalAssets": 123,
    "withEmbeddings": 123,
    "withoutEmbeddings": 123,
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Body

application/json
query
string
required

a string at most 512 character(s) long

Required string length: 1 - 512
mode
enum<string>
Available options:
metadata,
semantic,
hybrid
limit
integer

a number less than or equal to 50

Required range: 1 <= x <= 50
includeSeedLibrary
boolean
assetTypes
enum<string>[]
Available options:
image,
video,
audio,
gif,
document
assetCategories
enum<string>[]
Available options:
user_upload,
render,
template,
green_screen_template,
sound_effect,
music,
brand_asset,
other

Response

Success

mode
enum<string>
required
Available options:
metadata,
semantic,
hybrid
total
number
required
data
object[]
required
costResult
object
required
embeddingStatus
object
required